Index: /LMDZ6/branches/Amaury_dev/libf/obsolete/filtreg_p.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/obsolete/filtreg_p.F90	(revision 5128)
+++ /LMDZ6/branches/Amaury_dev/libf/obsolete/filtreg_p.F90	(revision 5128)
@@ -0,0 +1,427 @@
+! Amaury: on a ce fichier + lmdz_filtreg_p ! C'est totalement incompréhensible ;_;
+! A minima il faut un nom clair pour chaque
+
+SUBROUTINE filtreg_p( champ, ibeg, iend, nlat, nbniv, &
+        ifiltre, iaire, griscal ,iter)
+  USE parallel_lmdz, ONLY: OMP_CHUNK
+  USE lmdz_filtre_fft, ONLY: use_filtre_fft, filtre_u_fft, filtre_v_fft, filtre_inv_fft
+  USE lmdz_timer_filtre, ONLY: init_timer, start_timer, stop_timer
+  USE lmdz_coefils, ONLY: jfiltnu, jfiltnv, jfiltsu, jfiltsv, sddu, sddv, unsddu, unsddv, modfrstv, modfrstu
+  USE lmdz_filtreg, ONLY: matrinvn, matrinvs, matriceun, matriceus, matricevn, matricevs
+
+  IMPLICIT NONE
+
+  !=======================================================================
+  !
+  !   Auteur: P. Le Van        07/10/97
+  !   ------
+  !
+  !   Objet: filtre matriciel longitudinal ,avec les matrices precalculees
+  !                 pour l'operateur  Filtre    .
+  !   ------
+  !
+  !   Arguments:
+  !   ----------
+  !
+  !
+  !  ibeg..iend            lattitude a filtrer
+  !  nlat                  nombre de latitudes du champ
+  !  nbniv                 nombre de niveaux verticaux a filtrer
+  !  champ(iip1,nblat,nbniv)  en entree : champ a filtrer
+  !                        en sortie : champ filtre
+  !  ifiltre               +1  Transformee directe
+  !                        -1  Transformee inverse
+  !                        +2  Filtre directe
+  !                        -2  Filtre inverse
+  !
+  !  iaire                 1   si champ intensif
+  !                        2   si champ extensif (pondere par les aires)
+  !
+  !  iter                  1   filtre simple
+  !
+  !=======================================================================
+  !
+  !
+  !                  Variable Intensive
+  !            ifiltre = 1     filtre directe
+  !            ifiltre =-1     filtre inverse
+  !
+  !                  Variable Extensive
+  !            ifiltre = 2     filtre directe
+  !            ifiltre =-2     filtre inverse
+  !
+  !
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+
+  INTEGER :: ibeg,iend,nlat,nbniv,ifiltre,iter
+  INTEGER :: i,j,l,k
+  INTEGER :: iim2,immjm
+  INTEGER :: jdfil1,jdfil2,jffil1,jffil2,jdfil,jffil
+
+  REAL :: champ( iip1,nlat,nbniv)
+
+  LOGICAL :: griscal
+  INTEGER :: hemisph, iaire
+
+  REAL :: champ_fft(iip1,nlat,nbniv)
+  REAL :: champ_in(iip1,nlat,nbniv)
+
+  LOGICAL,SAVE     :: first=.TRUE.
+!$OMP THREADPRIVATE(first)
+
+  REAL, DIMENSION(iip1,nlat,nbniv) :: champ_loc
+  INTEGER :: ll_nb, nbniv_loc
+  REAL, SAVE :: sdd12(iim,4)
+!$OMP THREADPRIVATE(sdd12)
+
+  INTEGER, PARAMETER :: type_sddu=1
+  INTEGER, PARAMETER :: type_sddv=2
+  INTEGER, PARAMETER :: type_unsddu=3
+  INTEGER, PARAMETER :: type_unsddv=4
+
+  INTEGER :: sdd1_type, sdd2_type
+
+  IF (first) THEN
+     sdd12(1:iim,type_sddu) = sddu(1:iim)
+     sdd12(1:iim,type_sddv) = sddv(1:iim)
+     sdd12(1:iim,type_unsddu) = unsddu(1:iim)
+     sdd12(1:iim,type_unsddv) = unsddv(1:iim)
+
+     CALL Init_timer
+     first=.FALSE.
+  ENDIF
+
+!$OMP MASTER
+  CALL start_timer
+!$OMP END MASTER
+
+  !-------------------------------------------------------c
+
+  IF(ifiltre==1.OR.ifiltre==-1) &
+        CALL abort_gcm("fitreg_p","Pas de transformee simple&
+        &dans cette version",1)
+
+  IF( iter== 2 )  THEN
+     PRINT *,' Pas d iteration du filtre dans cette version !'&
+           &        , ' Utiliser old_filtreg et repasser !'
+     CALL abort_gcm("fitreg_p","stopped",1)
+  ENDIF
+
+  IF( ifiltre== -2 .AND..NOT.griscal )     THEN
+     PRINT *,' Cette routine ne calcule le filtre inverse que ' &
+           , ' sur la grille des scalaires !'
+     CALL abort_gcm("fitreg_p","stopped",1)
+  ENDIF
+
+  IF( ifiltre/=2 .AND.ifiltre/= - 2 )  THEN
+     PRINT *,' Probleme dans filtreg car ifiltre NE 2 et NE -2' &
+           , ' corriger et repasser !'
+     CALL abort_gcm("fitreg_p","stopped",1)
+   ENDIF
+  !
+
+  iim2   = iim * iim
+  immjm  = iim * jjm
+  !
+  !
+  IF( griscal )   THEN
+     IF( nlat /= jjp1 )  THEN
+        CALL abort_gcm("fitreg_p","nlat. NE. jjp1",1)
+     ELSE
+  !
+        IF( iaire==1 )  THEN
+           sdd1_type = type_sddv
+           sdd2_type = type_unsddv
+        ELSE
+           sdd1_type = type_unsddv
+           sdd2_type = type_sddv
+        ENDIF
+  !
+        jdfil1 = 2
+        jffil1 = jfiltnu
+        jdfil2 = jfiltsu
+        jffil2 = jjm
+     ENDIF
+  ELSE
+     IF( nlat/=jjm )  THEN
+        CALL abort_gcm("fitreg_p","nlat. NE. jjm",1)
+     ELSE
+  !
+        IF( iaire==1 )  THEN
+           sdd1_type = type_sddu
+           sdd2_type = type_unsddu
+        ELSE
+           sdd1_type = type_unsddu
+           sdd2_type = type_sddu
+        ENDIF
+  !
+        jdfil1 = 1
+        jffil1 = jfiltnv
+        jdfil2 = jfiltsv
+        jffil2 = jjm
+     ENDIF
+  ENDIF
+  !
+  DO hemisph = 1, 2
+  !
+     IF ( hemisph==1 )  THEN
+  !ym
+        jdfil = max(jdfil1,ibeg)
+        jffil = min(jffil1,iend)
+     ELSE
+  !ym
+        jdfil = max(jdfil2,ibeg)
+        jffil = min(jffil2,iend)
+     ENDIF
+
+
+  !ccccccccccccccccccccccccccccccccccccccccccc
+  ! Utilisation du filtre classique
+  !ccccccccccccccccccccccccccccccccccccccccccc
+
+     IF (.NOT. use_filtre_fft) THEN
+
+  !---------------------------------!
+  ! Agregation des niveau verticaux !
+  ! uniquement necessaire pour une  !
+  ! execution OpenMP                !
+  !---------------------------------!
+        ll_nb = 0
+!$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+        DO l = 1, nbniv
+           ll_nb = ll_nb+1
+           DO j = jdfil,jffil
+              DO i = 1, iim
+                 champ_loc(i,j,ll_nb) = &
+                       champ(i,j,l) * sdd12(i,sdd1_type)
+              ENDDO
+           ENDDO
+        ENDDO
+!$OMP END DO NOWAIT
+
+        nbniv_loc = ll_nb
+
+        IF( hemisph==1 )      THEN
+
+           IF( ifiltre==-2 )   THEN
+              DO j = jdfil,jffil
+#ifdef BLAS
+                 CALL DGEMM("N", "N", iim, nbniv_loc, iim, 1.0, &
+                       matrinvn(1,1,j), iim, &
+                       champ_loc(1,j,1), iip1*nlat, 0.0, &
+                       champ_fft(1,j-jdfil+1,1), iip1*nlat)
+#else
+                 champ_fft(:iim,j-jdfil+1,:) &
+                       =matmul(matrinvn(:,:,j),champ_loc(:iim,j,:))
+#endif
+              ENDDO
+
+           ELSE IF ( griscal )     THEN
+              DO j = jdfil,jffil
+#ifdef BLAS
+                 CALL DGEMM("N", "N", iim, nbniv_loc, iim, 1.0, &
+                       matriceun(1,1,j), iim, &
+                       champ_loc(1,j,1), iip1*nlat, 0.0, &
+                       champ_fft(1,j-jdfil+1,1), iip1*nlat)
+#else
+                 champ_fft(:iim,j-jdfil+1,:) &
+                       =matmul(matriceun(:,:,j),champ_loc(:iim,j,:))
+#endif
+              ENDDO
+
+           ELSE
+              DO j = jdfil,jffil
+#ifdef BLAS
+                 CALL DGEMM("N", "N", iim, nbniv_loc, iim, 1.0, &
+                       matricevn(1,1,j), iim, &
+                       champ_loc(1,j,1), iip1*nlat, 0.0, &
+                       champ_fft(1,j-jdfil+1,1), iip1*nlat)
+#else
+                 champ_fft(:iim,j-jdfil+1,:) &
+                       =matmul(matricevn(:,:,j),champ_loc(:iim,j,:))
+#endif
+              ENDDO
+
+           ENDIF
+
+        ELSE
+
+           IF( ifiltre==-2 )   THEN
+              DO j = jdfil,jffil
+#ifdef BLAS
+                 CALL DGEMM("N", "N", iim, nbniv_loc, iim, 1.0, &
+                       matrinvs(1,1,j-jfiltsu+1), iim, &
+                       champ_loc(1,j,1), iip1*nlat, 0.0, &
+                       champ_fft(1,j-jdfil+1,1), iip1*nlat)
+#else
+                 champ_fft(:iim,j-jdfil+1,:) &
+                       =matmul(matrinvs(:,:,j-jfiltsu+1), &
+                       champ_loc(:iim,j,:))
+#endif
+              ENDDO
+
+           ELSE IF ( griscal )     THEN
+
+              DO j = jdfil,jffil
+#ifdef BLAS
+                 CALL DGEMM("N", "N", iim, nbniv_loc, iim, 1.0, &
+                       matriceus(1,1,j-jfiltsu+1), iim, &
+                       champ_loc(1,j,1), iip1*nlat, 0.0, &
+                       champ_fft(1,j-jdfil+1,1), iip1*nlat)
+#else
+                 champ_fft(:iim,j-jdfil+1,:) &
+                       =matmul(matriceus(:,:,j-jfiltsu+1), &
+                       champ_loc(:iim,j,:))
+#endif
+              ENDDO
+
+           ELSE
+
+              DO j = jdfil,jffil
+#ifdef BLAS
+                 CALL DGEMM("N", "N", iim, nbniv_loc, iim, 1.0, &
+                       matricevs(1,1,j-jfiltsv+1), iim, &
+                       champ_loc(1,j,1), iip1*nlat, 0.0, &
+                       champ_fft(1,j-jdfil+1,1), iip1*nlat)
+#else
+                 champ_fft(:iim,j-jdfil+1,:) &
+                       =matmul(matricevs(:,:,j-jfiltsv+1), &
+                       champ_loc(:iim,j,:))
+#endif
+              ENDDO
+
+           ENDIF
+
+        ENDIF
+  ! c
+        IF( ifiltre==2 )  THEN
+
+  !-------------------------------------!
+  ! Dés-agregation des niveau verticaux !
+  ! uniquement necessaire pour une      !
+  ! execution OpenMP                    !
+  !-------------------------------------!
+           ll_nb = 0
+!$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+           DO l = 1, nbniv
+              ll_nb = ll_nb + 1
+              DO j = jdfil,jffil
+                 DO i = 1, iim
+                    champ( i,j,l ) = (champ_loc(i,j,ll_nb) &
+                          + champ_fft(i,j-jdfil+1,ll_nb)) &
+                          * sdd12(i,sdd2_type)
+                 ENDDO
+              ENDDO
+           ENDDO
+!$OMP END DO NOWAIT
+
+        ELSE
+
+           ll_nb = 0
+!$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+           DO l = 1, nbniv_loc
+              ll_nb = ll_nb + 1
+              DO j = jdfil,jffil
+                 DO i = 1, iim
+                    champ( i,j,l ) = (champ_loc(i,j,ll_nb) &
+                          - champ_fft(i,j-jdfil+1,ll_nb)) &
+                          * sdd12(i,sdd2_type)
+                 ENDDO
+              ENDDO
+           ENDDO
+!$OMP END DO NOWAIT
+
+        ENDIF
+
+!$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+        DO l = 1, nbniv
+           DO j = jdfil,jffil
+              champ( iip1,j,l ) = champ( 1,j,l )
+           ENDDO
+        ENDDO
+!$OMP END DO NOWAIT
+
+  !cccccccccccccccccccccccccccccccccccccccccccc
+  ! Utilisation du filtre FFT
+  !cccccccccccccccccccccccccccccccccccccccccccc
+
+     ELSE
+
+!$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+        DO l=1,nbniv
+           DO j=jdfil,jffil
+              DO  i = 1, iim
+                 champ( i,j,l)= champ(i,j,l)*sdd12(i,sdd1_type)
+                 champ_fft( i,j,l) = champ(i,j,l)
+              ENDDO
+           ENDDO
+        ENDDO
+!$OMP END DO NOWAIT
+
+        IF (jdfil<=jffil) THEN
+           IF( ifiltre == -2 )   THEN
+              CALL Filtre_inv_fft(champ_fft,nlat,jdfil,jffil,nbniv)
+           ELSE IF ( griscal )     THEN
+              CALL Filtre_u_fft(champ_fft,nlat,jdfil,jffil,nbniv)
+           ELSE
+              CALL Filtre_v_fft(champ_fft,nlat,jdfil,jffil,nbniv)
+           ENDIF
+        ENDIF
+
+
+        IF( ifiltre== 2 )  THEN
+!$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+           DO l=1,nbniv
+              DO j=jdfil,jffil
+                 DO  i = 1, iim
+                    champ( i,j,l)=(champ(i,j,l)+champ_fft(i,j,l)) &
+                          *sdd12(i,sdd2_type)
+                 ENDDO
+              ENDDO
+           ENDDO
+!$OMP END DO NOWAIT	
+        ELSE
+
+!$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+           DO l=1,nbniv
+              DO j=jdfil,jffil
+                 DO  i = 1, iim
+                    champ(i,j,l)=(champ(i,j,l)-champ_fft(i,j,l)) &
+                          *sdd12(i,sdd2_type)
+                 ENDDO
+              ENDDO
+           ENDDO
+!$OMP END DO NOWAIT
+        ENDIF
+  !
+!$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+        DO l=1,nbniv
+           DO j=jdfil,jffil
+         ! champ_FFT( iip1,j,l ) = champ_FFT( 1,j,l )
+              champ( iip1,j,l ) = champ( 1,j,l )
+           ENDDO
+        ENDDO
+!$OMP END DO NOWAIT          	
+     ENDIF
+  ! Fin de la zone de filtrage
+
+
+  ENDDO
+
+   ! DO j=1,nlat
+
+   !     PRINT *,"check FFT ----> Delta(",j,")=",
+  ! &            sum(champ(:,j,:)-champ_fft(:,j,:))/sum(champ(:,j,:)),
+  ! &            sum(champ(:,j,:)-champ_in(:,j,:))/sum(champ(:,j,:))
+  !  ENDDO
+
+  !      PRINT *,"check FFT ----> Delta(",j,")=",
+  ! &            sum(champ-champ_fft)/sum(champ)
+
+  !
+!$OMP MASTER
+  CALL stop_timer
+!$OMP END MASTER
+
+END SUBROUTINE filtreg_p
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/FCTTRE.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/FCTTRE.h	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/FCTTRE.h	(revision 5128)
@@ -22,24 +22,24 @@
 
       FOEEW ( PTARG,PDELARG ) = EXP (                                   &
-     &          (R3LES*(1.-PDELARG)+R3IES*PDELARG) * (PTARG-RTT)        &
-     & / (PTARG-(R4LES*(1.-PDELARG)+R4IES*PDELARG)) )
+                (R3LES*(1.-PDELARG)+R3IES*PDELARG) * (PTARG-RTT)        &
+       / (PTARG-(R4LES*(1.-PDELARG)+R4IES*PDELARG)) )
 
       FOEDE ( PTARG,PDELARG,P5ARG,PQSARG,PCOARG ) = PQSARG*PCOARG*P5ARG &
-     & / (PTARG-(R4LES*(1.-PDELARG)+R4IES*PDELARG))**2
+       / (PTARG-(R4LES*(1.-PDELARG)+R4IES*PDELARG))**2
 
       qsats(ptarg) = 100.0 * 0.622 * 10.0                               &
-     &           ** (2.07023 - 0.00320991 * ptarg                       &
-     &           - 2484.896 / ptarg + 3.56654 * LOG10(ptarg))
+                 ** (2.07023 - 0.00320991 * ptarg                       &
+                 - 2484.896 / ptarg + 3.56654 * LOG10(ptarg))
       qsatl(ptarg) = 100.0 * 0.622 * 10.0                               &
-     &           ** (23.8319 - 2948.964 / ptarg                         &
-     &           - 5.028 * LOG10(ptarg)                                 &
-     &           - 29810.16 * EXP( - 0.0699382 * ptarg)                 &
-     &           + 25.21935 * EXP( - 2999.924 / ptarg))
+                 ** (23.8319 - 2948.964 / ptarg                         &
+                 - 5.028 * LOG10(ptarg)                                 &
+                 - 29810.16 * EXP( - 0.0699382 * ptarg)                 &
+                 + 25.21935 * EXP( - 2999.924 / ptarg))
 
       dqsats(ptarg,pqsarg) = RLVTT/RCPD*pqsarg * (3.56654/ptarg         &
-     &                     +2484.896*LOG(10.)/ptarg**2                  &
-     &                     -0.00320991*LOG(10.))
+                           +2484.896*LOG(10.)/ptarg**2                  &
+                           -0.00320991*LOG(10.))
       dqsatl(ptarg,pqsarg) = RLVTT/RCPD*pqsarg*LOG(10.)*                &
-     &                (2948.964/ptarg**2-5.028/LOG(10.)/ptarg           &
-     &                +25.21935*2999.924/ptarg**2*EXP(-2999.924/ptarg)  &
-     &                +29810.16*0.0699382*EXP(-0.0699382*ptarg))
+                      (2948.964/ptarg**2-5.028/LOG(10.)/ptarg           &
+                      +25.21935*2999.924/ptarg**2*EXP(-2999.924/ptarg)  &
+                      +29810.16*0.0699382*EXP(-0.0699382*ptarg))
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/YOECUMF.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/YOECUMF.h	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/YOECUMF.h	(revision 5128)
@@ -12,7 +12,7 @@
 
       COMMON /YOECUMF/                                                  &
-     &                 ENTRPEN,ENTRSCV,ENTRMID,ENTRDD,CMFCTOP,          &
-     &                 CMFCMAX,CMFCMIN,CMFDEPS,RHCDD,CPRCON,            &
-     &                 LMFPEN,LMFSCV,LMFMID,LMFDD,LMFDUDV
+                       ENTRPEN,ENTRSCV,ENTRMID,ENTRDD,CMFCTOP,          &
+                       CMFCMAX,CMFCMIN,CMFDEPS,RHCDD,CPRCON,            &
+                       LMFPEN,LMFSCV,LMFMID,LMFDD,LMFDUDV
 
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/YOEGWD.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/YOEGWD.h	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/YOEGWD.h	(revision 5128)
@@ -25,7 +25,7 @@
 
       COMMON/YOEGWD/ GFRCRIT,GKWAKE,GRCRIT,GVCRIT,GKDRAG,GKLIFT,        &
-     &     GHMAX,GRAHILO,GSIGCR,NKTOPG,NSTRA,GSSEC,GTSEC,GVSEC,         &
-     &     GWD_RANDO_RUWMAX, gwd_rando_sat,                             &
-     &     GWD_FRONT_RUWMAX, gwd_front_sat
+           GHMAX,GRAHILO,GSIGCR,NKTOPG,NSTRA,GSSEC,GTSEC,GVSEC,         &
+           GWD_RANDO_RUWMAX, gwd_rando_sat,                             &
+           GWD_FRONT_RUWMAX, gwd_front_sat
 
       save /YOEGWD/
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/YOETHF.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/YOETHF.h	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/YOETHF.h	(revision 5128)
@@ -22,10 +22,10 @@
                                   ! If FALSE, then variables set by suphel.F90
       COMMON /YOETHF/R2ES, R3LES, R3IES, R4LES, R4IES, R5LES, R5IES,    &
-     &               RVTMP2, RHOH2O,                                    &
-     &               R5ALVCP,R5ALSCP,RALVDCP,RALSDCP,                   &
-     &               RALFDCP,RTWAT,RTBER,RTBERCU,                       &
-     &               RTICE,RTICECU,RTWAT_RTICE_R,RTWAT_RTICECU_R,RKOOP1,&
-     &               RKOOP2,                                            &
-     &               OK_BAD_ECMWF_THERMO
+                     RVTMP2, RHOH2O,                                    &
+                     R5ALVCP,R5ALSCP,RALVDCP,RALSDCP,                   &
+                     RALFDCP,RTWAT,RTBER,RTBERCU,                       &
+                     RTICE,RTICECU,RTWAT_RTICE_R,RTWAT_RTICECU_R,RKOOP1,&
+                     RKOOP2,                                            &
+                     OK_BAD_ECMWF_THERMO
 
 !$OMP THREADPRIVATE(/YOETHF/)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/YOMCST.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/YOMCST.h	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/YOMCST.h	(revision 5128)
@@ -32,15 +32,15 @@
 
       COMMON/YOMCST/RPI   ,RCLUM ,RHPLA ,RKBOL ,RNAVO                   &
-     &      ,RDAY  ,REA   ,REPSM ,RSIYEA,RSIDAY,ROMEGA                  &
-     &      ,R_ecc, R_peri, R_incl                                      &
-     &      ,RA    ,RG    ,R1SA                                         &
-     &      ,RSIGMA                                                     &
-     &      ,R     ,RMD   ,RMV   ,RD    ,RV    ,RCPD                    &
-     &      ,RMO3  ,RMCO2 ,RMC   ,RMCH4 ,RMN2O ,RMCFC11 ,RMCFC12        &
-     &      ,RCPV  ,RCVD  ,RCVV  ,RKAPPA,RETV, eps_w                    &
-     &      ,RCW   ,RCS                                                 &
-     &      ,RLVTT ,RLSTT ,RLMLT ,RTT   ,RATM                           &
-     &      ,RESTT ,RALPW ,RBETW ,RGAMW ,RALPS ,RBETS ,RGAMS            &
-     &      ,RALPD ,RBETD ,RGAMD
+            ,RDAY  ,REA   ,REPSM ,RSIYEA,RSIDAY,ROMEGA                  &
+            ,R_ecc, R_peri, R_incl                                      &
+            ,RA    ,RG    ,R1SA                                         &
+            ,RSIGMA                                                     &
+            ,R     ,RMD   ,RMV   ,RD    ,RV    ,RCPD                    &
+            ,RMO3  ,RMCO2 ,RMC   ,RMCH4 ,RMN2O ,RMCFC11 ,RMCFC12        &
+            ,RCPV  ,RCVD  ,RCVV  ,RKAPPA,RETV, eps_w                    &
+            ,RCW   ,RCS                                                 &
+            ,RLVTT ,RLSTT ,RLMLT ,RTT   ,RATM                           &
+            ,RESTT ,RALPW ,RBETW ,RGAMW ,RALPS ,RBETS ,RGAMS            &
+            ,RALPD ,RBETD ,RGAMD
 !    ------------------------------------------------------------------
 !$OMP THREADPRIVATE(/YOMCST/)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/YOMCST2.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/YOMCST2.h	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/YOMCST2.h	(revision 5128)
@@ -6,8 +6,8 @@
 
       COMMON/YOMCST2/gammas,    alphas, betas, Fmax, scut,              &
-     &               qqa1, qqa2, qqa3,                                  &
-     &               Qcoef1max,Qcoef2max,                               &
-     &               Supcrit1, Supcrit2,                                &
-     &               choice,iflag_mix,coef_clos_ls,iflag_mix_adiab
+                     qqa1, qqa2, qqa3,                                  &
+                     Qcoef1max,Qcoef2max,                               &
+                     Supcrit1, Supcrit2,                                &
+                     choice,iflag_mix,coef_clos_ls,iflag_mix_adiab
 !$OMP THREADPRIVATE(/YOMCST2/)
 !    --------------------------------------------------------------------
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/calcul_REGDYN.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/calcul_REGDYN.h	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/calcul_REGDYN.h	(revision 5128)
@@ -1,22 +1,22 @@
-c
-c $Header$
-c
-c calculs statistiques distribution nuage ftion du regime dynamique 
-c
-c Ce calcul doit etre fait a partir de valeurs mensuelles ??
-      CALL histo_o500_pctau(nbregdyn,pct_ocean,o500,fq_isccp,
-     &histoW,nhistoW)
-c
-c nhistoWt = somme de toutes les nhistoW
+!
+! $Header$
+!
+! calculs statistiques distribution nuage ftion du regime dynamique
+!
+! Ce calcul doit etre fait a partir de valeurs mensuelles ??
+      CALL histo_o500_pctau(nbregdyn,pct_ocean,o500,fq_isccp, &
+     histoW,nhistoW)
+!
+! nhistoWt = somme de toutes les nhistoW
       DO nreg=1, nbregdyn
        DO k = 1, kmaxm1
         DO l = 1, lmaxm1
          DO iw = 1, iwmax
-          nhistoWt(k,l,iw,nreg)=nhistoWt(k,l,iw,nreg)+
-     &    nhistoW(k,l,iw,nreg)
+          nhistoWt(k,l,iw,nreg)=nhistoWt(k,l,iw,nreg)+&
+         nhistoW(k,l,iw,nreg)
          ENDDO
         ENDDO
        ENDDO
       ENDDO
-c
-cIM 190504 END
+!
+!IM 190504 END
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/clesphys.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/clesphys.h	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/clesphys.h	(revision 5128)
@@ -116,54 +116,54 @@
 ! REAL FIRST
 ! rajout choix_bulk et nit_bulk kz0 par Olivier Torres
-     &       co2_ppm, solaire                                           &
-     &     , RCO2, RCH4, RN2O, RCFC11, RCFC12                           &
-     &     , RCO2_act, RCH4_act, RN2O_act, RCFC11_act, RCFC12_act       &
-     &     , RCO2_per, RCH4_per, RN2O_per, RCFC11_per, RCFC12_per       &
-     &     , CH4_ppb, N2O_ppb, CFC11_ppt, CFC12_ppt                     &
-     &     , CH4_ppb_per, N2O_ppb_per, CFC11_ppt_per, CFC12_ppt_per     &
-     &     , cdmmax,cdhmax,ksta,ksta_ter,f_ri_cd_min                    &
-     &     , fmagic, pmagic                                             &
-     &     , f_cdrag_ter,f_cdrag_oce,f_rugoro,z0min,tau_gl              &
-     &     , min_wind_speed,f_gust_wk,f_gust_bl,f_qsat_oce,f_z0qh_oce   &
-     &     , z0m_seaice,z0h_seaice,z0m_landice,z0h_landice              &
-     &     , freq_outNMC, freq_calNMC                                   &
-     &     , lonmin_ins, lonmax_ins, latmin_ins, latmax_ins             &
-     &     , freq_ISCCP, ecrit_ISCCP, freq_COSP, freq_AIRS              &
-     &     , cvl_corr                                                   &
-     &     , qsol0,albsno0,evap0                                        &
-     &     , co2_ppm0                                                   &
-     &     , tau_thermals                                               &
+             co2_ppm, solaire                                           &
+           , RCO2, RCH4, RN2O, RCFC11, RCFC12                           &
+           , RCO2_act, RCH4_act, RN2O_act, RCFC11_act, RCFC12_act       &
+           , RCO2_per, RCH4_per, RN2O_per, RCFC11_per, RCFC12_per       &
+           , CH4_ppb, N2O_ppb, CFC11_ppt, CFC12_ppt                     &
+           , CH4_ppb_per, N2O_ppb_per, CFC11_ppt_per, CFC12_ppt_per     &
+           , cdmmax,cdhmax,ksta,ksta_ter,f_ri_cd_min                    &
+           , fmagic, pmagic                                             &
+           , f_cdrag_ter,f_cdrag_oce,f_rugoro,z0min,tau_gl              &
+           , min_wind_speed,f_gust_wk,f_gust_bl,f_qsat_oce,f_z0qh_oce   &
+           , z0m_seaice,z0h_seaice,z0m_landice,z0h_landice              &
+           , freq_outNMC, freq_calNMC                                   &
+           , lonmin_ins, lonmax_ins, latmin_ins, latmax_ins             &
+           , freq_ISCCP, ecrit_ISCCP, freq_COSP, freq_AIRS              &
+           , cvl_corr                                                   &
+           , qsol0,albsno0,evap0                                        &
+           , co2_ppm0                                                   &
+           , tau_thermals                                               &
 !FC
-     &     , Cd_frein,zrel_oro_t,zpmm_orodr_t,zpmm_orolf_t,zstd_orodr_t &
-     &     , ecrit_LES                                                  &
-     &     , ecrit_ins, ecrit_hf, ecrit_day                             &
-     &     , ecrit_mth, ecrit_tra, ecrit_reg                            &
+           , Cd_frein,zrel_oro_t,zpmm_orodr_t,zpmm_orolf_t,zstd_orodr_t &
+           , ecrit_LES                                                  &
+           , ecrit_ins, ecrit_hf, ecrit_day                             &
+           , ecrit_mth, ecrit_tra, ecrit_reg                            &
 ! THEN INTEGER AND LOGICALS
-     &     , top_height                                                 &
-     &     , iflag_cycle_diurne, soil_model, new_oliq                   &
-     &     , ok_orodr, ok_orolf, ok_limitvrai, nbapp_rad                &
-     &     , iflag_con, nbapp_cv, nbapp_wk                              &
-     &     , choix_bulk, nit_bulk, kz0                                  &
-     &     , iflag_ener_conserv                                         &
-     &     , ok_suntime_rrtm                                            & 
-     &     , overlap                                                    &
-     &     , ok_kzmin                                                   &
-     &     , lev_histhf, lev_histday, lev_histmth                       &
-     &     , lev_histins, lev_histLES, lev_histdayNMC, levout_histNMC   &
-     &     , ok_histNMC                                                 &
-     &     , type_run, ok_regdyn, ok_cosp, ok_airs                      &
-     &     , ok_mensuelCOSP,ok_journeCOSP,ok_hfCOSP                     &
-     &     , ip_ebil_phy                                                &
-     &     , iflag_gusts ,iflag_z0_oce                                  &
-     &     , ok_lic_melt, ok_lic_cond, aer_type                         &
-     &     , iflag_rrtm, ok_strato,ok_hines, ok_qch4                    &
-     &     , iflag_ice_thermo, ok_ice_sursat                            & 
-     &     , ok_plane_h2o, ok_plane_contrail                            & 
-     &     , ok_gwd_rando, NSW, iflag_albedo                            &
-     &     , ok_chlorophyll,ok_conserv_q, adjust_tropopause             &
-     &     , ok_daily_climoz, ok_all_xml, ok_lwoff                      &
-     &     , iflag_phytrac, ok_new_lscp, ok_bs, ok_rad_bs               &
-     &     ,  iflag_thermals,nsplit_thermals              &
-     &     , iflag_physiq, ok_3Deffect, ok_water_mass_fixer
+           , top_height                                                 &
+           , iflag_cycle_diurne, soil_model, new_oliq                   &
+           , ok_orodr, ok_orolf, ok_limitvrai, nbapp_rad                &
+           , iflag_con, nbapp_cv, nbapp_wk                              &
+           , choix_bulk, nit_bulk, kz0                                  &
+           , iflag_ener_conserv                                         &
+           , ok_suntime_rrtm                                            &
+           , overlap                                                    &
+           , ok_kzmin                                                   &
+           , lev_histhf, lev_histday, lev_histmth                       &
+           , lev_histins, lev_histLES, lev_histdayNMC, levout_histNMC   &
+           , ok_histNMC                                                 &
+           , type_run, ok_regdyn, ok_cosp, ok_airs                      &
+           , ok_mensuelCOSP,ok_journeCOSP,ok_hfCOSP                     &
+           , ip_ebil_phy                                                &
+           , iflag_gusts ,iflag_z0_oce                                  &
+           , ok_lic_melt, ok_lic_cond, aer_type                         &
+           , iflag_rrtm, ok_strato,ok_hines, ok_qch4                    &
+           , iflag_ice_thermo, ok_ice_sursat                            &
+           , ok_plane_h2o, ok_plane_contrail                            &
+           , ok_gwd_rando, NSW, iflag_albedo                            &
+           , ok_chlorophyll,ok_conserv_q, adjust_tropopause             &
+           , ok_daily_climoz, ok_all_xml, ok_lwoff                      &
+           , iflag_phytrac, ok_new_lscp, ok_bs, ok_rad_bs               &
+           ,  iflag_thermals,nsplit_thermals              &
+           , iflag_physiq, ok_3Deffect, ok_water_mass_fixer
        save /clesphys/
 !$OMP THREADPRIVATE(/clesphys/)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/comsoil.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/comsoil.h	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/comsoil.h	(revision 5128)
@@ -3,5 +3,5 @@
 
       common /comsoil/inertie_sol,inertie_sno,inertie_sic,inertie_lic,  &
-     &                iflag_sic,iflag_inertie
+                      iflag_sic,iflag_inertie
       REAL inertie_sol,inertie_sno,inertie_sic,inertie_lic
       INTEGER iflag_sic,iflag_inertie
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_decl_cases.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_decl_cases.h	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_decl_cases.h	(revision 5128)
@@ -190,5 +190,5 @@
 
         common /turb_forcing/                                                   &
-     &  dtime_frcg,hthturb_gcssold, hqturb_gcssold,Turb_fcg_gcssold
+        dtime_frcg,hthturb_gcssold, hqturb_gcssold,Turb_fcg_gcssold
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 ! Declarations specifiques au cas Arm_cu
